diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index a6fe620..a128f2b 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -623,18 +623,17 @@ class ServerNode(PGChildNodeView):
 
                     user = manager.user_info
                     connected = True
-                    icon = "icon-pg"
 
             return jsonify(
                 node=self.blueprint.generate_browser_node(
                     "%d" % server.id, server.servergroup_id,
                     server.name,
-                    icon,
+                    'icon-{0}'.format(manager.server_type) if manager.server_type else "icon-pg",
                     True,
                     self.node_type,
                     user=user,
                     connected=connected,
-                    server_type='pg'  # Default server type
+                    server_type=manager.server_type if manager.server_type else 'pg'
                 )
             )
 
